Summary: 	A graphical project management tool.
Name: 		mrproject
Version: 	0.9
Release:	8.XOS.1
License: 	GPL
Group: 		Applications/Productivity
Url:		http://mrproject.codefactory.se
Source: 	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:       libgnomeprintui22 >= 2.2.0
Requires:       libmrproject >= 0.9
PreReq:         scrollkeeper >= 0.1.4
Patch1:		mrproject-0.9-resource-links.patch
Patch2:		mrproject-0.9-indent-crash-fix.patch

BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libgsf-devel >= 1.6
BuildRequires:	gtk2-devel >= 2.0
BuildRequires:	libxml2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	ORBit2-devel
BuildRequires:	libgnomeprintui22-devel
BuildRequires:	libmrproject-devel
BuildRequires:	intltool

%description
MrProject is a visual project management application which allows users to
manage several aspects of a project, including schedule tracking using
Gantt charts.

You should install MrProject if you wish to manage schedules, allocate
resources, and track the progress of your projects.

%prep
%setup -q

%patch1 -p1 -b .resource-links
%patch2 -p1 -b .indent-crash-fix

%build

intltoolize
%configure

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall MRP_PLUGINDIR=$RPM_BUILD_ROOT/%{_libdir}/mrproject/plugins MRP_VIEWDIR=$RPM_BUILD_ROOT/%{_libdir}/mrproject/views

desktop-file-install --vendor codefactory --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/mrproject.desktop

/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
/bin/rm $RPM_BUILD_ROOT/%{_libdir}/mrproject/*.la
/bin/rm $RPM_BUILD_ROOT/%{_libdir}/mrproject/views/*.la


%find_lang %name

%post
scrollkeeper-update

%postun
scrollkeeper-update


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc ChangeLog NEWS README COPYING
%{_bindir}/mrproject
%{_libdir}/mrproject
%{_datadir}/mrproject
%{_datadir}/gnome-2.0/ui/*.ui
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/gnome/help/mrproject/*
%{_datadir}/omf/mrproject/mrproject-C.omf

%changelog
* Fri Mar 24 2006 X/OS Linux Team <xoslinux@xos.nl> 0.9-8.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on mrproject-0.9-8.src.rpm
  (md5sum of original source rpm: 6c1459dce86ff97bedd88c3dfad618a1).

* Tue May 17 2005 Dan Williams <dcbw@redhat.com> 0.9-8
- #rh152588# mrproject file crashes mrproject

* Wed Sep  3 2003 Bill Nottingham <notting@redhat.com> 0.9-7
- remove some extraneous specfile build dependencies

* Fri Aug  1 2003 Bill Nottingham <notting@redhat.com> 0.9-6
- remove some extraneous specfile dependencies

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 21 2003 Jonathan Blandford <jrb@redhat.com> 0.9-3
- remove extraneous BuildRequires, #84825

* Mon Feb 17 2003 Jonathan Blandford <jrb@redhat.com> 0.9-1
- new version.  Removed desktop patch which made it upstream
- Fix #84002

* Wed Feb  5 2003 Jonathan Blandford <jrb@redhat.com> 0.8-1
- fix desktop file, add BuildRequires

* Mon Jan 27 2003 Jonathan Blandford <jrb@redhat.com>
- new version

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan  3 2003 Jonathan Blandford <jrb@redhat.com>
- update to new version
- remove .la files, #68343

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- rebuild in current collinst

* Tue Aug 27 2002 Jonathan Blandford <jrb@redhat.com>
- Ungrab cursor

* Wed Aug 21 2002 Jonathan Blandford <jrb@redhat.com>
- clean up summary and description fields

* Wed Aug 14 2002 Jonathan Blandford <jrb@redhat.com>
- New bug fix version

* Tue Aug  6 2002 Jonathan Blandford <jrb@redhat.com>
- new version

* Mon Aug  5 2002 Jonathan Blandford <jrb@redhat.com>
- Switch Generic Name and Name, as I got this wrong

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 29 2002 Jonathan Blandford <jrb@redhat.com>
- Updated to 0.5.92

* Thu Feb 28 2002 Trond Eivind Glomsrød <teg@redhat.com> 0.5.1-8
- Use %%{_tmppath}
- Move changelog to end of specfile
- langify
- s/Copyright/License/
- Lose Vendor tag
- Lose evil macros before tags 
- Don't specify a wrong docdir


* Thu Feb 28 2002 Jonathan Blandford <jrb@redhat.com>
- Change Group to be a real one.
- add changelog
